| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Lib.BoundingBoxDtoBase< BoxType > Class Template Referenceabstract

Base class for various DTO (Data Transfer Objects) for bounding boxes. Used to store a state of a bounding box. More...

Inheritance diagram for IG.Lib.BoundingBoxDtoBase< BoxType >:
[legend]
Collaboration diagram for IG.Lib.BoundingBoxDtoBase< BoxType >:
[legend]

## Public Member Functions
| BoundingBoxDtoBase ()
| Default constructor, sets IsNull to true. More...
| BoundingBoxDtoBase (int dimension)
| Constructor, prepares the current DTO for storing a vector of the specified dimension. More...
abstract BoxType | CreateBoundingBox (int dimension)
| Creates and returns a new bounding box of the specified dimension. More...
override BoxType | CreateObject ()
| Creates and returns a new bounding box of the specified type and dimension. More...
Public Member Functions inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
| SerializationDtoBase ()
virtual bool | GetNull ()
| Returns a flag indicating whether the object represented by the current DTO is null. More...
virtual void | SetNull (bool isNull)
| Sets a flag indicating whether the object represented by the current DTO is null. More...
virtual void | CopyFromBase (BaseType obj)
| Copies data to the current DTO from an object of type BaseType. More...
virtual void | CopyToBase (ref BaseType obj)
| Copies data from the current DTO to an object of the base type. Object is created anew if necessary by using the CreateObject() method. More...
virtual void | CopyFrom (Type obj)
| Copies data to the current DTO from an object of type Type. More...
virtual void | CopyTo (ref Type obj)
| Copies data from the current DTO to an object of type Type. Object is created anew if necessary by using the CreateObject() method. More...
virtual void | CopyFromObject (object obj)
| Copies data to the current DTO from an object of type object. The necessary casts are performed. More...
virtual void | CopyToObject (ref object obj)
| Copies data from the current DTO to an object of type object. Object is created anew if necessary by using the CreateObject() method. The necessary casts are performed. More...
override string | ToString ()
| Creates and returns string representation of the current DTO (data transfer object). More...

## Public Attributes
int | Dimension
| Dimension of the bounding box. More...
double[] | Min = null
| Minimal values of coordinates. More...
double[] | Max = null
| Maximal values of coordinates. More...

## Protected Member Functions
override void | CopyFromPlain (IBoundingBox box)
| Copies data to the current DTO from a bounding box object. More...
override void | CopyToPlain (ref IBoundingBox box)
| Copies data from the current DTO to a bounding box object. More...
Protected Member Functions inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
abstract void | CopyFromPlain (BaseType obj)
| Copies contents of the specified object to the current DTO (Data Transfer Object). More...
abstract void | CopyToPlain (ref BaseType obj)
| Copies contents of the current DTO (Data Transfer Object) to the specified object. More...
Protected Member Functions inherited from IG.Lib.SerializationDto
| SerializationDto ()

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...
Protected Attributes inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
bool | _isNull = false
Properties inherited from IG.Lib.SerializationDtoBase< Type, BaseType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Base class for various DTO (Data Transfer Objects) for bounding boxes. Used to store a state of a bounding box.

Template Parameters

  BoxType | Type parameter specifying the specific bounding box type for which concrete DTO is designed.

$A Igor Jun09;

Type Constraints

  BoxType | : | class |
  BoxType | : | IBoundingBox |

## Constructor & Destructor Documentation

IG.Lib.BoundingBoxDtoBase< BoxType >.BoundingBoxDtoBase | ( |  | ) |
| inline

Default constructor, sets IsNull to true.

IG.Lib.BoundingBoxDtoBase< BoxType >.BoundingBoxDtoBase | ( | int | dimension | ) |
| inline

Constructor, prepares the current DTO for storing a vector of the specified dimension.

Parameters

  dimension | Dimension of a vector that is stored in the current DTO.

## Member Function Documentation

abstract BoxType IG.Lib.BoundingBoxDtoBase< BoxType >.CreateBoundingBox | ( | int | dimension | ) |
| pure virtual

Creates and returns a new bounding box of the specified dimension.

Parameters

  dimension | Bounding box dimension.

Implemented in IG.Lib.BoundingBoxDto.

override BoxType IG.Lib.BoundingBoxDtoBase< BoxType >.CreateObject | ( |  | ) |
| inline virtual

Creates and returns a new bounding box of the specified type and dimension.

Implements IG.Lib.SerializationDtoBase< Type, BaseType >.

override void IG.Lib.BoundingBoxDtoBase< BoxType >.CopyFromPlain | ( | IBoundingBox | box | ) |
| inline protected

Copies data to the current DTO from a bounding box object.

Parameters

  box | Bounding box object from which data is copied.

References IG.Num.IBoundingBox.Dimension, IG.Num.IBoundingBox.GetMax(), and IG.Num.IBoundingBox.GetMin().

override void IG.Lib.BoundingBoxDtoBase< BoxType >.CopyToPlain | ( | ref IBoundingBox | box | ) |
| inline protected

Copies data from the current DTO to a bounding box object.

Parameters

  box | Bounding box object that data is copied to.

## Member Data Documentation

int IG.Lib.BoundingBoxDtoBase< BoxType >.Dimension

Dimension of the bounding box.

double [] IG.Lib.BoundingBoxDtoBase< BoxType >.Min = null

Minimal values of coordinates.

double [] IG.Lib.BoundingBoxDtoBase< BoxType >.Max = null

Maximal values of coordinates.

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/BoundingBoxDto.cs